<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_MailboxInfo_V2 StructType
 * @subpackage Structs
 */
class Get_MailboxInfo_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The MailboxInfoSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\MailboxInfoSelection
     */
    public $MailboxInfoSelection;
    /**
     * Constructor method for Get_MailboxInfo_V2
     * @uses Get_MailboxInfo_V2::setLogin()
     * @uses Get_MailboxInfo_V2::setMailboxInfoSelection()
     * @param \StructType\Login $login
     * @param \StructType\MailboxInfoSelection $mailboxInfoSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\MailboxInfoSelection $mailboxInfoSelection = null)
    {
        $this
            ->setLogin($login)
            ->setMailboxInfoSelection($mailboxInfoSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_MailboxInfo_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get MailboxInfoSelection value
     * @return \StructType\MailboxInfoSelection|null
     */
    public function getMailboxInfoSelection()
    {
        return $this->MailboxInfoSelection;
    }
    /**
     * Set MailboxInfoSelection value
     * @param \StructType\MailboxInfoSelection $mailboxInfoSelection
     * @return \StructType\Get_MailboxInfo_V2
     */
    public function setMailboxInfoSelection(\StructType\MailboxInfoSelection $mailboxInfoSelection = null)
    {
        $this->MailboxInfoSelection = $mailboxInfoSelection;
        return $this;
    }
}
